eZ Publish 4 (Referred to as `legacy` in eZ Publish 5.x)
=======================================================

[![Build Status](https://img.shields.io/travis/ezsystems/ezpublish-legacy.svg?style=flat-square&branch=master)](https://travis-ci.org/ezsystems/ezpublish-legacy)
[![Downloads](https://img.shields.io/packagist/dt/ezsystems/ezpublish-legacy.svg?style=flat-square)](https://packagist.org/packages/ezsystems/ezpublish-legacy)
[![Latest version](https://img.shields.io/github/release/ezsystems/ezpublish-legacy.svg?style=flat-square)](https://github.com/ezsystems/ezpublish-legacy/releases)
[![License](https://img.shields.io/github/license/ezsystems/ezpublish-legacy.svg?style=flat-square)](LICENSE)

What is eZ Publish?
-------------------
**eZ Publish is reaching end of life by 2021, current releases are primarily
aimed at easing migration to it's successor; [eZ Platform](https://ezplatform.com/)**

eZ Publish is a professional PHP application framework with advanced CMS
(content management system) functionality. As a CMS its most notable feature
is its fully customizable and extendable content model.
It is also suitable as a platform for general PHP development, allowing
you to develop professional Internet applications, fast.

Standard CMS functionality, like news publishing, e-commerce and forums is
built in and ready for you to use. Its stand-alone libraries can be
used for cross-platform, secure, database independent PHP projects.

eZ Publish is database, platform and browser independent. Because it is
browser based it can be used and updated from anywhere as long as you have
access to the Internet.

#### What is eZ Platform?

eZ Publish's successor, eZ Platform, is a highly extensible, pure Content
Managment Platform. It provides the same flexible content model at it's
core like eZ Publish, and has a growing amount of additional features
outside the traditional CMS scope provided by means of "Bundles"
extending it.

It is built on top of the full Symfony Framework, giving developers
access to "standard" tools for rapid web & application development.

Further reading on: https://ezplatform.com/


License
-------
eZ Publish is dual licensed. You can choose between the GNU GPL and the
eZ Publish Professional License. The GNU GPL gives you the right to use, modify
and redistribute eZ Publish under certain conditions. The GNU GPL license is
distributed with the software, see the file LICENSE. It is also available at
http://www.gnu.org/licenses/gpl.txt
Using eZ Publish under the terms of the GNU GPL is free of charge.

The eZ Publish Proprietary License gives you the right to use the source code
for making your own commercial software. It allows you full protection of your
work made with eZ Publish. You may re-brand, license and close your source
code. eZ Publish is not free of charge when used under the terms of the
Professional License. For pricing and ordering, please contact info@ez.no
or visit http://ez.no


Main eZ Publish features
------------------------
- User defined content classes and objects
- Version control
- Advanced multi-lingual support
- Built in search engine
- Separation of content and presentation layer
- Fine grained role based permissions system
- Content approval and scheduled publication
- Multi-site support
- Multimedia support with automatic image conversion and scaling
- RSS feeds
- Contact forms
- Built in webshop
- Flexible workflow management system
- Full support for Unicode
- Template engine
- A read only REST API
- Database abstraction layer
- MVC architecture
- Support for highly available and scalable configurations (multi-server clusters)
- XML handling and parsing library
- SOAP communication library
- Localisation and internationalisation libraries
- Several other reusable libraries
- SDK (software development kit)
  and full documentation
- plugin API with thousands of open-source extensions available, including:
    - content rating and commenting
    - landing page management
    - advanced search engine
    - wysiwyg rich-text editor
    - in-site content editing
    - content geolocation


Installation
------------
Read doc/INSTALL or go to http://doc.ez.no/eZ-Publish


Issue tracker
-------------
Submitting bugs, improvements and stories is possible on https://jira.ez.no/browse/EZP.
If you discover a security issue, please see how to responsibly report such issues on https://doc.ez.no/Security.


Where to get more help
----------------------
eZ Publish documentation: http://doc.ez.no/eZ-Publish
eZ Publish forums: http://share.ez.no/forums/
